|  | Home · All Namespaces · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# Q3VBoxLayout Class Reference
[Qt3Support module]

The Q3VBoxLayout class lines up widgets vertically. More...

     #include <Q3VBoxLayout>

This class is part of the Qt 3 support library. It is provided to keep old source code working. We strongly advise against using it in new code. See Porting to Qt 4 for more information.

Inherits QBoxLayout.

- List of all members, including inherited members

### Public Functions

- Q3VBoxLayout ( QWidget * parent, int margin, int spacing = -1, const char * name = 0 )
- Q3VBoxLayout ( QLayout * parentLayout, int spacing = -1, const char * name = 0 )
- Q3VBoxLayout ( int spacing, const char * name = 0 )

- 20 public functions inherited from QBoxLayout
- 28 public functions inherited from QLayout
- 29 public functions inherited from QObject
- 17 public functions inherited from QLayoutItem

### Additional Inherited Members

- 2 properties inherited from QLayout
- 1 property inherited from QObject
- 1 public slot inherited from QObject
- 1 signal inherited from QObject
- 1 static public member inherited from QLayout
- 5 static public members inherited from QObject
- 1 protected function inherited from QBoxLayout
- 3 protected functions inherited from QLayout
- 7 protected functions inherited from QObject

## Detailed Description

The Q3VBoxLayout class lines up widgets vertically.

See also Q3HBoxLayout.

## Member Function Documentation

### Q3VBoxLayout::Q3VBoxLayout ( QWidget * parent, int margin, int spacing = -1, const char * name = 0 )

Constructs a new top-level vertical box called name, with parent parent. The margin is the number of pixels between the edge of the widget and its managed children. The spacing is the default number of pixels between neighboring children. If spacing is -1 the value of margin is used for spacing.

### Q3VBoxLayout::Q3VBoxLayout ( QLayout * parentLayout, int spacing = -1, const char * name = 0 )

Constructs a new vertical box called name and adds it to parentLayout. The spacing is the default number of pixels between neighboring children. If spacing is -1, this Q3VBoxLayout will inherit its parent's spacing().

### Q3VBoxLayout::Q3VBoxLayout ( int spacing, const char * name = 0 )

Constructs a new vertical box called name. You must add it to another layout. The spacing is the default number of pixels between neighboring children. If spacing is -1, this Q3VBoxLayout will inherit its parent's spacing().